# include "stdafx.h"
# include "resource.h"
# include "About.h"
# include "Version.h"
# include "Globals.h"

int CALLBACK AboutProc (HWND _hWnd, UINT _uMsg, WPARAM _wParam, LPARAM);

void ShowAboutBox (HWND _hWnd) {
	::DialogBox (g_hInst, MAKEINTRESOURCE (IDD_ABOUTBOX), _hWnd, & AboutProc);
}

static
int CALLBACK AboutProc (HWND _hWnd, UINT _uMsg, WPARAM _wParam, LPARAM) {
	switch (_uMsg) {
		case WM_INITDIALOG: {
			char strVersionFmt [256];
			::GetDlgItemText (_hWnd, IDC_VERSION, strVersionFmt, sizeof (strVersionFmt)/sizeof (strVersionFmt [0]));
			char strVersion [256];
			::sprintf (strVersion, strVersionFmt, GME_VER_S);
			::SetDlgItemText (_hWnd, IDC_VERSION, strVersion);

			return TRUE;
		}

		case WM_COMMAND:
			if (LOWORD (_wParam) == IDOK || LOWORD (_wParam) == IDCANCEL) {
				// On closing dialog.
				::EndDialog (_hWnd, 0);
				return TRUE;
			}
	}

	return FALSE;
}
