# ifndef __Scale_H_
# define __Scale_H_

	// Approximate screen resolution.
const int c_pixels_per_cm = 40;

	// Meters per pixel.
extern float g_fScale;

	// Pixels per degree.
extern float g_kX, g_kY;

const float c_Scale_10m    = 10./c_pixels_per_cm;
const float c_Scale_15m    = 15./c_pixels_per_cm;
const float c_Scale_20m    = 20./c_pixels_per_cm;
const float c_Scale_30m    = 30./c_pixels_per_cm;
const float c_Scale_50m    = 50./c_pixels_per_cm;
const float c_Scale_70m    = 70./c_pixels_per_cm;
const float c_Scale_100m   = 100./c_pixels_per_cm;
const float c_Scale_150m   = 150./c_pixels_per_cm;
const float c_Scale_200m   = 200./c_pixels_per_cm;
const float c_Scale_300m   = 300./c_pixels_per_cm;
const float c_Scale_500m   = 500./c_pixels_per_cm;
const float c_Scale_700m   = 700./c_pixels_per_cm;
const float c_Scale_1km    = 1000./c_pixels_per_cm;
const float c_Scale_1_2km  = 1200./c_pixels_per_cm;
const float c_Scale_1_5km  = 1500./c_pixels_per_cm;
const float c_Scale_2km    = 2000./c_pixels_per_cm;
const float c_Scale_3km    = 3000./c_pixels_per_cm;
const float c_Scale_5km    = 5000./c_pixels_per_cm;
const float c_Scale_7km    = 7000./c_pixels_per_cm;
const float c_Scale_8km    = 8000./c_pixels_per_cm;
const float c_Scale_10km   = 10000./c_pixels_per_cm;
const float c_Scale_12km   = 12000./c_pixels_per_cm;
const float c_Scale_15km   = 15000./c_pixels_per_cm;
const float c_Scale_20km   = 20000./c_pixels_per_cm;
const float c_Scale_30km   = 30000./c_pixels_per_cm;
const float c_Scale_50km   = 50000./c_pixels_per_cm;
const float c_Scale_70km   = 70000./c_pixels_per_cm;
const float c_Scale_100km  = 100000./c_pixels_per_cm;
const float c_Scale_120km  = 120000./c_pixels_per_cm;
const float c_Scale_150km  = 150000./c_pixels_per_cm;
const float c_Scale_200km  = 200000./c_pixels_per_cm;
const float c_Scale_300km  = 300000./c_pixels_per_cm;
const float c_Scale_500km  = 500000./c_pixels_per_cm;
const float c_Scale_700km  = 700000./c_pixels_per_cm;
const float c_Scale_1000km = 1000000./c_pixels_per_cm;
const float c_Scale_1200km = 1200000./c_pixels_per_cm;
const float c_Scale_1500km = 1500000./c_pixels_per_cm;
const float c_Scale_2000km = 2000000./c_pixels_per_cm;
const float c_Scale_3000km = 3000000./c_pixels_per_cm;

const float c_ScaleMin = c_Scale_10m;
const float c_ScaleMax = c_Scale_3000km;

void RefreshScales ();
float GetFullMapScale ();
void SetFullMapScale ();
void SetScale (float _NewScale);
void SetScale (float _fNewScale, long _lX0, long _lY0);

float GetScale (float _fScale, char * _strText);

# endif // __Scale_H_