# ifndef __Datum_H_
# define __Datum_H_

# include "PtAlgo.h"

enum datum_t {dtWGS84, dtPulkovo42, dtUnknown};

// NOTE: _fHeight is in meters.
void ToWGS84 (datum_t _Datum, point_t & _point, float _fHeight);
void FromWGS84 (datum_t _Datum, point_t & _point, float _fHeight);

# endif // __Datum_H_