# ifndef __MapView_H_
# define __MapView_H_

extern HWND g_hMapWnd;
extern HWND g_hMapTipWnd;
extern HWND g_hMiniMapWnd;

extern HBITMAP g_hBmp;
extern HDC g_hMemDC;

extern HBITMAP g_hMiniBmp;
extern HDC g_hMiniMemDC;
extern long g_lMiniW, g_lMiniH;

bool InitMapWindow ();

	// Deep refresh: includes memory buffer update.
void Refresh ();
	// Fast refresh using memory buffer.
void Redraw (RECT * _pRect = NULL);

void RedrawMini ();

void ShiftMap (long _lShiftX, long _lShiftY);

void StopKbScroll ();
void KbHScroll (long _Type, long _lX);
void KbVScroll (long _Type, long _lY);

extern long g_lRClickX;
extern long g_lRClickY;

# endif // __MapView_H_